#ifndef MYOBJECT_H
#define MYOBJECT_H

#include <QObject>
#include <QtDebug>

class MyObject : public QObject
{
    Q_OBJECT
    Q_PROPERTY(int rand READ getRand WRITE setRand NOTIFY randChanged)
public:
    explicit MyObject(QObject *parent = nullptr);

    void setRand(int _random) {
        m_random = _random%6;

        qDebug() << "new value is " << m_random;
        emit randChanged();
    }

    int getRand() {
        return m_random;
    }

private:
    int m_random = 4;



signals:
    void randChanged();

public slots:
};

#endif // MYOBJECT_H
